import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 14.08.2008
  * @author Daniel Garmann
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private JTextField jTextField1 = new JTextField();
  private JTextField jTextField2 = new JTextField();
  private JButton jButton1 = new JButton();
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super (title);
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 237;
    int frameHeight = 145;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jTextField1.setBounds(32, 8, 169, 24);
    jTextField1.setText("LAGERREGAL");
    cp.add(jTextField1);
    jTextField2.setBounds(32, 72, 169, 24);
    jTextField2.setText("");
    cp.add(jTextField2);
    jButton1.setBounds(48, 40, 139, 25);
    jButton1.setText("Testen");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  
  private boolean palindrom(String wort)
  {
    if (wort.length() <= 1)
      return true;
    else
      return (wort.charAt(0) == wort.charAt(wort.length()-1)) && palindrom(wort.substring(1,wort.length()-1));
  }
  
  public void jButton1_ActionPerformed(ActionEvent evt) {
    jTextField2.setText(Boolean.toString(palindrom(jTextField1.getText())));
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
